﻿@media print {
    body, page[size="Letter"] {
        padding: 0px;
        box-shadow: 0;
        padding: 0;
     /*  zoom: 82%; */ 
    }
    
    .btn-sm.pull-right.btn-primary.remove-detail {
        display: none;
	}
	
    header {
        
    }

    hr:last-child {
        display: none;
    }

    html, body {
        height: 99%;
        border: none;
    }

    .table.table-striped.table-bordered.table-condensed.table-hover.ng-scope {
        padding: -25px;
    }

    .pagination.ng-table-pagination {
        display: none;
    }

    #LowWaterChart {
        page-break-after: avoid;
    }

    .pagination.ng-isolate-scope.ng-valid {
        display: none;
    }

    #barChart.row.clearfix {
        page-break-after: always;
        margin: 0 auto;
    }




    .col-md-12.ng-binding {
        page-break-after: always;
    }

    #batwater.row.clearfix {
        page-break-before: always;
        padding-top: 25%;
        margin: 0 auto;
    }

    tbody {
        page-break-inside: avoid;
        page-break-before: avoid;
    }

    .col-md-3.control-label.input-sm.ng-binding {
        float: left !important;
        display: inline-block;
        page-break-inside: avoid;
    }

    .col-md-6.col-lg-3 {
        float: left !important;
        display: inline-block;
        page-break-inside: avoid;
    }

    .col-md-9.filter-ddl {
        float: left !important;
        display: inline-block;
        page-break-inside: avoid;
    }

    .btn.btn-link {
        display: none;
    }

    .highcharts-tooltip {
        display: none;
    }

    [class*="col-md"], [class*="col-sm"], [class*="col-xs"] {
        float: none;
    }

    .tooltip {
        visibility: hidden;
    }

    .col-print {
        float: left !important;
        float: left;
    }

    .page-break {
        display: block;
        page-break-before: avoid;
        /*margin-top: 20px;*/
    }
    .page-break-always {
        page-break-before: always;
        
        /*margin-top: 20px;*/
    }
    .panel-body {
        page-break-after: avoid;
        page-break-before: avoid;
    }

    .table {
        page-break-after: avoid;
        page-break-before: avoid;
    }

    .navbar-toggle {
        display: none;
    }

    #navbar2 {
        display: inline !important;
        float: left;
        padding-left:140px;
        width: 700px;
    }

    .caret {
        display: none;
    }

    .panel-news {
        display: none;
    }

    .form-group {
        margin: 0px 0px 0px 0px !important;
        float: left;
    }

    #foo.navbar-inverse {
        display: none;
        float: left;
    }

    .navbar-inverse {
        display: block;
        border: none !important;
        float: left;
    }

    .form-group {
        display: inline;
        float: left;
    }

    .filter-ddl {
        background-color: transparent;
        background-image: none;
        -webkit-appearance: none;
        border: none;
        box-shadow: none;
        /* display: inline-block; */
    }

    .btn-dtp {
        display: none;
    }

    .dtp-input {
        background-color: transparent;
        background-image: none;
        -webkit-appearance: none;
        border: none;
        box-shadow: none;
        height: 28px;
    }

    .inline-control {
        display: inline-block;
    }

    .lbl-dtp {
        float: left;
    }

    .btn-plus {
        display: none;
    }

    table.sortable th:not(.sorttable_sorted):not(.sorttable_sorted_reverse):not(.sorttable_nosort):after {
        content: "";
    }

    .table-condensed > thead > tr > th, .table-condensed > tbody > tr > th, .table-condensed > tfoot > tr > th, .table-condensed > thead > tr > td, .table-condensed > tbody > tr > td, .table-condensed > tfoot > tr > td {
        padding: 2px !important;
    }

    .contentBody {
        min-height: unset;
    }

    .panel-footer {
        display: none;
    }

    .footer {
        display: none;
    }

    .contentBody:after {
        display: none;
    }

    .contentBody {
        page-break-inside: avoid;
        page-break-after: avoid;
    }

        .footer, .contentBody:after {
            display: none;
        }

    .panel.panel-danger {
        page-break-inside: auto;
        page-break-before: auto;
        margin: 0;
        border: none;
    }

        .panel.panel-danger:last-child {
            page-break-after: avoid !important;
        }

        .panel.panel-danger.test1 {
            page-break-after: avoid;
            page-break-inside: avoid;
            margin: -25px;
        }

    .ng-binding.test2 {
        margin-top: -100px;
    }

    .highcharts-32.highcharts-container {
        margin-bottom: -100px;
    }

    .pull-up-graph {
        margin-top: -100px;
        width: 120%;
    }

    .no-display {
        display: none;
    }

    .panel.panel-danger.bring-down {
        margin-top: 200px;
    }

    .ng-binding.bring-down1 {
        margin-bottom: -100px;
    }

    .bring-down2 {
        margin-top: 100px;
    }

    .bring-up1 {
        margin-bottom: -100px;
    }

    .bring-down3 {
        margin-top: 500px;
    }

    .form-group.left-group {
        position: relative;
        width: 200px;
        border: 1px solid #000;
    }

    .table-responsive {
        page-break-after: always;
    }

    #BatteryLifeByBattery {
        margin-top: -60px;
        transform: scale(0.8,0.8);
    }

    #LithiumByBattery {
        margin-top: -60px;
        transform: scale(0.8,0.8);
    }

    #highcharts-31.highcharts-container {
    }

    .row.ng-scope:last-child {
        page-break-after: avoid;
    }

    .set-width-row {
        width: 120%;
    }
}

.print-page {
    position: absolute;
    top: 40px;
    right: 50px;
}

.tooltip-info-button {
    position: absolute;
    right: 30px;
    z-index:500;
    background-image: url("../Images/info-button.png");
    width: 23px;
    height: 23px;
    cursor: pointer;
}
.tooltip-info-button-2 {
    position: absolute;
    right: 300px;
    top: 15px;
    z-index: 500;
    background-image: url("../Images/info-button.png");
    width: 23px;
    height: 23px;
    cursor: pointer;
}
.tooltip-bottom.tooltip-inner {
    margin-top: 300px !important;
    background-color: red !important;
}

.tooltip-info-button-white {
    position: relative;
    margin-right:10px !important;
    left:0;
    z-index: 500;
    background-image: url("../Images/info-button-white.png");
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.tooltip {
    /*width: 500px;*/
    /*margin-top: -20px !important;*/
    margin-left: 40px !important;

}
.tooltip-inner {
    background-color: rgba(255,255,255,0.9);
    border: 1px solid rgba(128, 128, 128,0.15) !important;
    font: #000000 !important;
    font-size: 13px;
    -webkit-box-shadow: 0px 1px 76px -23px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 1px 76px -23px rgba(0,0,0,0.75);
    box-shadow: 0px 1px 76px -23px rgba(0,0,0,0.75);
}
/*#barChart {
    margin-top: -70px;
}*/



.exceptions-table {
    margin-top: 40px;
    left: 32%;
    position: relative;
}

.exceptions-table tr th {
    /*     background-color:red; */
    width: 130px;
}

.exceptions-table tr td {
    line-height: 30px;
}

.report-row {
    border-bottom: 1px #5A5555 solid;
    padding: 4px;
}

.custom-text {
    /*used to display news, summaries, and optimization plans, this allows newlines to be shown instead of using <br>*/
    white-space: pre-line;
}

.many-to-many-table {
    min-height: 200px;
    max-height: 75vh;
    overflow-y: auto;
}

.empty-admin-table-warning {
    font-size: medium;
    text-align: center;    
}


.mobile-heading {
    width: 80%;
    font-size: 24px;
    font-weight: bold;
    color: white;
    text-align:center;
}

.mobile-navbar-header {
    display: flex;
    /*width: 100%;
    height: 20%;
    background: #eee;*/
    align-items: center;
    justify-content: center;
}

.navbar-toggle {
    border-color: #3ec200 !important;
}

.navbar-toggle:hover, .navbar-toggle:focus {
    background-color: #3ec200 !important;
}

.site-option-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}

.site-option-button {
    display: flex;
    width: 100%;
    padding: 10px 0;
    /*height: 20%;
    background: #eee;*/
    align-items: center;
    justify-content: center;
}

.site-option-button span {
    font-weight: bold;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

.site-option-button .caret {
    transform: rotate(180deg)
}

.site-option-button.collapsed .caret {
    transform: rotate(0deg)
}

.lock-scroll {
    overflow: hidden;
}

.nav-sidebar {
    position: fixed;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    left: -200px;
    top: 0;
    width: 200px;
    background-color: #2D2D2D;
    z-index: 1000;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

.nav-sidebar-overlay {
    background-color: rgba(50,50,50,0.8);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 999;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: visibility 0s, opacity 0.5s linear;
    transition: visibility 0s, opacity 0.5s linear;
}


.nav-sidebar ul {
    padding: 0;
    position: absolute;
    width: 200px;
    -webkit-transition: all 0.5s;
    transition: all 0.5s;
}

.menu-mobile-main {
    left: -200px;
}

.menu-mobile-main.main-menu-open {
    left: 0px;
}

.menu-mobile-admin {
    left: 200px;
}

.menu-mobile-admin.admin-menu-open {
    left: 0px;
}

.menu-mobile-language {
    left: 200px;
}

.menu-mobile-language.language-menu-open {
    left: 0px;
}

.nav-sidebar li {
    text-decoration: none;
    list-style-type: none;
    width: 100%;
    /*border: 2px solid black;*/
    padding: 20px 30px;
}

.caret-right {
    border-bottom: 4px solid transparent;
    border-top: 4px solid transparent;
    border-left: 4px solid;
    display: inline-block;
    height: 0;
    width: 0;
    margin-left: 5px;
}

.caret-left {
    border-bottom: 4px solid transparent;
    border-top: 4px solid transparent;
    border-right: 4px solid;
    display: inline-block;
    height: 0;
    width: 0;
    margin-right: 5px;
}

.caret-up {
    border-left: 4px solid transparent;
    border-top: 4px solid;
    border-right: 4px solid transparent;
    display: inline-block;
    height: 0;
    width: 0;
    margin-right: 5px;
}

.main-navbar-toggle {
    position: fixed;
    z-index: 998;
    top: 0;
    left: 0;
    width: 100%;
}




/* Hides small things on big screens */
@media only screen and (min-width: 601px) {
    .small-screen {
        display: none;
    }
}

/* Hides big things on small screens */
@media only screen and (max-width: 600px) {
    .large-screen {
        display: none;
    }

    .nav-sidebar.sideBarOpen {
        left: 0;
    }

    .nav-sidebar-overlay.sideBarOpen {
        visibility: visible;
        opacity: 1;
    }

    #contenido.sideBarOpen {
        overflow: hidden;
    }

    .custom-date-picker .dropdown-menu {
        position: fixed;
        top: 50% !important;
        left: 50% !important;
        transform: translate(-50%, -50%);
    }

    

    /*.mobile-table td:nth-of-type(2):before {
        content: "Last Name";
    }

    .mobile-table td:nth-of-type(3):before {
        content: "Job Title";
    }

    .mobile-table td:nth-of-type(4):before {
        content: "Favorite Color";
    }

    .mobile-table td:nth-of-type(5):before {
        content: "Wars of Trek?";
    }

    .mobile-table td:nth-of-type(6):before {
        content: "Secret Alias";
    }

    .mobile-table td:nth-of-type(7):before {
        content: "Date of Birth";
    }

    .mobile-table td:nth-of-type(8):before {
        content: "Dream Vacation City";
    }

    .mobile-table td:nth-of-type(9):before {
        content: "GPA";
    }

    td:nth-of-type(10):before {
        content: "Arbitrary Data";
    }*/
}
